/**
  * Zambot
  * Zambot | Unlimited Trading | [https://zambot.net](https://zambot.net).
  *
  * The version of the OpenAPI document: 1.0.0
  * Contact: gzambon@gmail.com
  *
  * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
  * https://openapi-generator.tech
  * Do not edit the class manually.
  */

package net.zambot.tracker.model

import java.time.LocalDateTime
import java.util.UUID

import play.api.libs.json.{Format, Json}

case class SignalInfoSummary(signalId:UUID, created:LocalDateTime, timestamp: LocalDateTime, start: LocalDateTime,
                             lastTimestamp:LocalDateTime, position: Long, sequence:Long, version:Long,
                             data: Map[String, String])

object SignalInfoSummary {
  implicit val format: Format[SignalInfoSummary] = Json.format
}




